### Function

# Gegl param_spec_uri

#### Declaration [src]

    GParamSpec*
    gegl_param_spec_uri (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean no_validate,
      gboolean null_ok,
      const gchar* default_value,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GeglParamSpecUri` instance.

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name for the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`no_validate`

  Type: `gboolean`

  True if the string should be validated with g_utf8_validate.

`null_ok`

  Type: `gboolean`

  True if the string can be NULL.

`default_value`

  Type: `const gchar*`

  Default value for the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

A newly created parameter specification.

The caller of the function takes ownership of the data, and is responsible for freeing it.